package com.example.nto.entity;

import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.*;

import javax.persistence.*;
import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.util.Set;

@Data
@Entity
@Table(name = "employee")

public class Employee {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(name="login", nullable = false, unique = true)
    private String login;

    @Column(name="name", nullable = false)
    private String name;

    @Column(name="password", nullable = false)
    private String password;

    @Column(name="photo")
    private String photo;

    @Column(name = "description")
    private String description;

    @Column(name = "birth_date")
    private String birthDate;

    @Column(name = "avatar_url")
    private String avatarUrl;

    @Column(name = "entered_at")
    private Timestamp joinedAt;

    @Column(name = "created_at", nullable = false)
    private Timestamp createdAt;

    @Column(name = "last_visit")
    private Timestamp lastVisit;

    @OneToMany(fetch = FetchType.EAGER)
    private Set<Authority> authorities;
}
